Upstream information

CVE-2016-2829 at MITRE

Description

Mozilla Firefox before 47.0 allows remote attackers to spoof permission notifications via a crafted web site that rapidly triggers permission requests, as demonstrated by the microphone permission or the geolocation permission.

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.3 4.3
Vector AV:N/AC:M/Au:N/C:N/I:P/A:N AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact None Partial
Integrity Impact Partial None
Availability Impact None None
CVSS v3 Scores
  National Vulnerability Database
Base Score 6.5
Vector AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:H/A:N
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact None
Integrity Impact High
Availability Impact None
SUSE Bugzilla entries: 983549 [RESOLVED / FIXED], 983644 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Desktop Applications 15
  • MozillaFirefox >= 52.7.3-1.35
  • MozillaFirefox-devel >= 52.7.3-1.35
  • MozillaFirefox-translations-common >= 52.7.3-1.35
  • MozillaFirefox-translations-other >= 52.7.3-1.35
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 GA MozillaFirefox
openSUSE 13.1
  • MozillaFirefox >= 47.0-116.1
  • MozillaFirefox-branding-upstream >= 47.0-116.1
  • MozillaFirefox-buildsymbols >= 47.0-116.1
  • MozillaFirefox-debuginfo >= 47.0-116.1
  • MozillaFirefox-debugsource >= 47.0-116.1
  • MozillaFirefox-devel >= 47.0-116.1
  • MozillaFirefox-translations-common >= 47.0-116.1
  • MozillaFirefox-translations-other >= 47.0-116.1
  • libfreebl3 >= 3.23-80.1
  • libfreebl3-32bit >= 3.23-80.1
  • libfreebl3-debuginfo >= 3.23-80.1
  • libfreebl3-debuginfo-32bit >= 3.23-80.1
  • libsoftokn3 >= 3.23-80.1
  • libsoftokn3-32bit >= 3.23-80.1
  • libsoftokn3-debuginfo >= 3.23-80.1
  • libsoftokn3-debuginfo-32bit >= 3.23-80.1
  • mozilla-nss >= 3.23-80.1
  • mozilla-nss-32bit >= 3.23-80.1
  • mozilla-nss-certs >= 3.23-80.1
  • mozilla-nss-certs-32bit >= 3.23-80.1
  • mozilla-nss-certs-debuginfo >= 3.23-80.1
  • mozilla-nss-certs-debuginfo-32bit >= 3.23-80.1
  • mozilla-nss-debuginfo >= 3.23-80.1
  • mozilla-nss-debuginfo-32bit >= 3.23-80.1
  • mozilla-nss-debugsource >= 3.23-80.1
  • mozilla-nss-devel >= 3.23-80.1
  • mozilla-nss-sysinit >= 3.23-80.1
  • mozilla-nss-sysinit-32bit >= 3.23-80.1
  • mozilla-nss-sysinit-debuginfo >= 3.23-80.1
  • mozilla-nss-sysinit-debuginfo-32bit >= 3.23-80.1
  • mozilla-nss-tools >= 3.23-80.1
  • mozilla-nss-tools-debuginfo >= 3.23-80.1
Patchnames:
2016-714
openSUSE Leap 15.0
  • MozillaFirefox >= 60.0-lp150.2.2
  • MozillaFirefox-translations-common >= 60.0-lp150.2.2
  • MozillaFirefox-translations-other >= 60.0-lp150.2.2
Patchnames:
openSUSE Leap 15.0 GA MozillaFirefox
openSUSE Leap 42.1
  • MozillaFirefox >= 47.0-24.1
  • MozillaFirefox-branding-upstream >= 47.0-24.1
  • MozillaFirefox-buildsymbols >= 47.0-24.1
  • MozillaFirefox-debuginfo >= 47.0-24.1
  • MozillaFirefox-debugsource >= 47.0-24.1
  • MozillaFirefox-devel >= 47.0-24.1
  • MozillaFirefox-translations-common >= 47.0-24.1
  • MozillaFirefox-translations-other >= 47.0-24.1
  • libfreebl3 >= 3.23-18.1
  • libfreebl3-32bit >= 3.23-18.1
  • libfreebl3-debuginfo >= 3.23-18.1
  • libfreebl3-debuginfo-32bit >= 3.23-18.1
  • libsoftokn3 >= 3.23-18.1
  • libsoftokn3-32bit >= 3.23-18.1
  • libsoftokn3-debuginfo >= 3.23-18.1
  • libsoftokn3-debuginfo-32bit >= 3.23-18.1
  • mozilla-nss >= 3.23-18.1
  • mozilla-nss-32bit >= 3.23-18.1
  • mozilla-nss-certs >= 3.23-18.1
  • mozilla-nss-certs-32bit >= 3.23-18.1
  • mozilla-nss-certs-debuginfo >= 3.23-18.1
  • mozilla-nss-certs-debuginfo-32bit >= 3.23-18.1
  • mozilla-nss-debuginfo >= 3.23-18.1
  • mozilla-nss-debuginfo-32bit >= 3.23-18.1
  • mozilla-nss-debugsource >= 3.23-18.1
  • mozilla-nss-devel >= 3.23-18.1
  • mozilla-nss-sysinit >= 3.23-18.1
  • mozilla-nss-sysinit-32bit >= 3.23-18.1
  • mozilla-nss-sysinit-debuginfo >= 3.23-18.1
  • mozilla-nss-sysinit-debuginfo-32bit >= 3.23-18.1
  • mozilla-nss-tools >= 3.23-18.1
  • mozilla-nss-tools-debuginfo >= 3.23-18.1
Patchnames:
openSUSE-2016-704
openSUSE Leap 42.2
  • MozillaFirefox >= 49.0.2-37.1
  • MozillaFirefox-translations-common >= 49.0.2-37.1
Patchnames:
openSUSE Leap 42.2 GA MozillaFirefox
openSUSE Leap 42.3
  • MozillaFirefox >= 52.2-58.2
  • MozillaFirefox-translations-common >= 52.2-58.2
Patchnames:
openSUSE Leap 42.3 GA MozillaFirefox
openSUSE Tumbleweed
  • MozillaFirefox >= 50.1.0-1.1
  • MozillaFirefox-branding-upstream >= 50.1.0-1.1
  • MozillaFirefox-buildsymbols >= 50.1.0-1.1
  • MozillaFirefox-devel >= 50.1.0-1.1
  • MozillaFirefox-translations-common >= 50.1.0-1.1
  • MozillaFirefox-translations-other >= 50.1.0-1.1
Patchnames:
openSUSE Tumbleweed GA MozillaFirefox


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 GA MozillaFirefox Not affected
SUSE Linux Enterprise Desktop 12 SP1 MozillaFirefox Not affected
SUSE Linux Enterprise SDK 11 SP4 MozillaFirefox Not affected
SUSE Linux Enterprise SDK 12 GA MozillaFirefox Not affected
SUSE Linux Enterprise SDK 12 SP1 MozillaFirefox Not affected
SUSE Linux Enterprise Server 10 SP4 LTSS MozillaFirefox Not affected
SUSE Linux Enterprise Server 11 SP2 LTSS MozillaFirefox Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS MozillaFirefox Not affected
SUSE Linux Enterprise Server 11 SP4 MozillaFirefox Not affected
SUSE Linux Enterprise Server 12 GA MozillaFirefox Not affected
SUSE Linux Enterprise Server 12 SP1 MozillaFirefox Not affected